rpm error on kernel upgrade

From: Cannon, Andrew (Andrew.Cannon_at_nnc.co.uk)
Date: 10/30/03

  • Next message: Mario Michele Macaluso: "Re: [ADMIN] list cleanups"
    To: "Redhat (E-mail)" <redhat-list@redhat.com>
    Date: Thu, 30 Oct 2003 13:45:46 -0000
    
    

    Hi all,

    I'm trying to upgrade the stock kernel on a RH8 box (2.4.18-14) to the
    latest given in the errata lists (2.4.20-20.8.i686) but I'm getting a
    strange error:

    [root@cluster01 root]# rpm -ivh kernel-2.4.20-20.8.i686.rpm
    warning: kernel-2.4.20-20.8.i686.rpm: V3 DSA signature: NOKEY, key ID
    db42a60e
    error: Failed dependencies:
            oprofile < 0.4 conflicts with kernel-2.4.20-20.8

    I also get this error when I try and upgrade to 2.4.20-13.8.i686. I find
    this strange becuase I have upgraded a different RH8 box to the 20-13 kernel
    with no worries. Am I missing something, or just being thick?

    I've looked in the archives and I've found a reference to oprofile wrt to
    2.6 test kernel. Does this mean that I need to get the latest oprofile rpm
    from somewhere before I can upgrade the kernel?

    I'd also like to know how it got there when I don't think it is in the other
    RH8 boxes.

    TIA

    Andy

    Andrew Cannon, Nuclear Technology (J2), NNC Ltd, Booths Hall, Knutsford,
    Cheshire, WA16 8QZ.

    Telephone; +44 (0) 1565 843768
    email: mailto:andrew.cannon@nnc.co.uk
    NNC website: http://www.nnc.co.uk

    NNC's UK Operating Companies : NNC Holdings Limited (no. 3725076), NNC Limited (no. 1120437), National Nuclear Corporation Limited (no. 2290928), STATS-NNC Limited (no. 4339062) and Technica-NNC Limited (no. 235856). The registered office of each company is at Booths Hall, Chelford Road, Knutsford, Cheshire WA16 8QZ except for Technica-NNC Limited whose registered office is at 6 Union Row, Aberdeen AB10 1DQ. NNC's head office and principal address is Booths Hall and the switchboard number is 01565 633800. The NNC website is www.nnc.co.uk

    This email and any files transmitted with it have been sent to you by the relevant UK operating company and are confidential and intended for the use of the individual or entity to whom they are addressed. If you have received this e-mail in error please notify the NNC system manager by e-mail at eadm@nnc.co.uk.

    -- 
    redhat-list mailing list
    unsubscribe mailto:redhat-list-request@redhat.com?subject=unsubscribe
    https://www.redhat.com/mailman/listinfo/redhat-list
    

  • Next message: Mario Michele Macaluso: "Re: [ADMIN] list cleanups"

    Relevant Pages

    • Re: How to upgrade from RH8 to FC? Is it safe?
      ... Is it safe to upgrade from RH to FC? ... RH8 uses 2.4 kernel. ... Libraries, ... How about RH8 to RH 9 then FC? ...
      (Fedora)
    • Re: rpm error on kernel upgrade
      ... >I also get this error when I try and upgrade to 2.4.20-13.8.i686. ... Does this mean that I need to get the latest oprofile rpm ... >from somewhere before I can upgrade the kernel? ...
      (RedHat)
    • Re: How to upgrade from RH8 to FC? Is it safe?
      ... Is it safe to upgrade from RH to FC? ... RH8 uses 2.4 kernel. ... Libraries, ... How about RH8 to RH 9 then FC? ...
      (Fedora)
    • Re: 8.x grudges
      ... FREEBSD_COMPAT7 kernel option is, apparently, a requirement (and ... customizations when performing a major version upgrade. ... libusb from ports installed. ... Frequency ID control: No ...
      (freebsd-stable)
    • Re: messed up upgrade 7.0 & 7.1 to 7.2
      ... to get Flash & Shockwave to work on a FreeBSD installation. ... I have not been able to figure out how a custom kernel could be ... Portsnap only updates the ports tree, ... upgrade I am supposed to provide the GENERIC kernel in /boot. ...
      (freebsd-questions)